﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using Nautilus;

namespace DlpLib_Demo_WinFormsNetCore
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button_openFile_Click(object sender, EventArgs e)
        {
            openFileDialog1.Multiselect = false;
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                richTextBox_trackString.Clear();
                richTextBox_trackString.Text = File.ReadAllText(openFileDialog1.FileName);
            }
        }

        private void button_Parse_Click(object sender, EventArgs e)
        {
            textBox_ComputerId.Text = DriverLicense.ComputerId;
            DriverLicense result = DriverLicense.ParseText(richTextBox_trackString.Text);
            if (result != null)
            {
                label_parseResult.Text = "Parse resilt:Success";
                textBox_birthDate.Text = result.Birthdate;
                textBox_firstName.Text = result.FirstName;
                textBox_fullName.Text = result.FullName;
                textBox_lastName.Text = result.LastName;
                textBox_idNumber.Text = result.LicenseNumber;
            }
            else
            {
                label_parseResult.Text = "Parse resilt:Fail";
            }
        }

        private void label_parseResult_Click(object sender, EventArgs e)
        {

        }
    }
}
